<template>
  <div class="flex flex-middle flex-center clockTrouble">
    <div class="clockTrouble_inner">
      <div class="clockTrouble-title">
        {{$t('playTable.checkTime.title')}}
      </div>
      <div
        class="clockTrouble-body"
        v-html="$t('playTable.checkTime.text')"></div>
      <Btn
        small
        @click="ok">{{$t('playTable.checkTime.btn')}}
      </Btn>
    </div>
  </div>
</template>

<script>
  import Btn from '@/components/UI/BtnSign';

  export default {
    name: "clockTrouble",
    components: {
      Btn
    },
    methods: {
      ok() {
        this.$store.dispatch('common/clockTrouble', false);
      }
    }
  }
</script>
<style
  lang="scss"
  scoped>
  .clockTrouble {
    background-color: rgba(0, 0, 0, 0.2);
    line-height: 1.4;
    text-shadow: 0 0 4px black;
    position: absolute;
    text-align: center;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    z-index: 4;
    padding: 0px 25px;
    color: #ffffff;
    &-body {
      font-size: .875rem;
      padding: 10px 0px;
    }
    &_inner {
      background-color: rgb(21, 30, 46);
      border-radius: 8px;
      padding: 10px;
    }
  }
</style>
